Bug 12026 - No check for NULL query string value in QueryStringTag.doEndTag
Summary: No check for NULL query string value in QueryStringTag.doEndTag
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Request Taglib (show other bugs)
Version: 1.0
Hardware: All All
: P3 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-26 04:16 UTC by whatever
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description whatever 2002-08-26 04:16:22 UTC
Accessing the page with no query at all, not even a question mark, will produce 
a NPE in StringTokenizer.
Comment 1 Glenn Nielsen 2002-11-11 03:43:57 UTC
Thanks for reporting this.  The bug should now be fixed in the next nightly
build and in the next Request taglib release.